Bug 58421 - rc.sysinit ignores cdrom
Summary: rc.sysinit ignores cdrom
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: SysVinit   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-16 10:33 UTC by Hiroki Taira
Modified: 2014-03-17 02:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 06:59:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hiroki Taira 2002-01-16 10:33:51 UTC
Description of Problem:
/etc/rc.sysinit ignores /etc/sysconfig/harddisk* if it's media is cdrom.

Version-Release number of selected component (if applicable):


How Reproducible:
It is found when trying to configure ATAPI CDROM

Steps to Reproduce:
for example, /dev/hdc is ATAPA CDROM and want to make cdrom PIO mode.

1. copy /etc/sysconfig/harddisks to /etc/sysconfig/harddiskhdc
2. rewrite harddiskhdc

USE_DMA=0

3. reboot machine
4. show the result of /sbin/hdparm /dev/hdc

 using_dma    =  1 (on)

Actual Results:
Values described in harddisk* is not enabled

Expected Results:

rc.sysinit can't configure ATAPI CDROM

Additional Information:

It is ok if rc.sysinit detects cdrom.

rc.sysinit at 385
before              if [ "$hdmedia" = "disk" ]; then
---
fixed              if [ "$hdmedia" = "disk" -o "$hdmedia" = "cdrom" ]; then

Comment 1 Bill Nottingham 2002-07-19 01:36:15 UTC
This was fixed in the 7.3 initscripts.


Note You need to log in before you can comment on or make changes to this bug.